package com.xx.hbhconsumer.ui.main;

import android.app.Application;
import android.content.Context;
import android.view.View;

import androidx.annotation.NonNull;
import com.xx.hbhconsumer.data.http.requst.HomeRequest;
import com.xx.hbhconsumer.data.local.LocalData;
import com.xx.hbhconsumer.ui.login.LoginActivity;
import com.xx.hbhconsumer.ui.settings.LogoutDialog;
import com.xx.xxviewlibrary.base.AppManager;
import com.xx.xxviewlibrary.base.xxBaseDialog;

import me.goldze.mvvmhabit.base.BaseViewModel;
import me.goldze.mvvmhabit.utils.StringUtils;

public class MainViewModel extends BaseViewModel<HomeRequest> {

    private Context context;

    public MainViewModel(@NonNull Application application) {
        super(application);
    }

    public MainViewModel(Context context, @NonNull Application application, HomeRequest model) {
        super(application, model);
        this.context = context;
    }

    @Override
    public void onCreate() {
        super.onCreate();
    }

    @Override
    public void onStart() {
        super.onStart();
    }

    @Override
    public void onResume() {
        super.onResume();
        String affiliatedCompany = LocalData.getAffiliatedCompany();
        if (StringUtils.isEmpty(affiliatedCompany)) {
            LocalData.saveAffiliatedCompany("1");
        }
    }

    public void exit() {
        AppManager.getAppManager().AppExit();
    }

    public void showExitDialog() {
        ExitDialog dialog = new ExitDialog(context, this);
        dialog.setDialogClickListener((xxBaseDialog.onDialogClickListener<LogoutDialog>) (code, data) -> AppManager.getAppManager().AppExit());
        dialog.show();
    }
}
